.px-textimages {
  overflow: hidden;
}
.px-textimages-inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 150px;
  position: relative;
  container-type: inline-size;
  max-width: var(--maxWidthBig);
  width: var(--baseWidth);
  margin: 0 auto;
}
@media screen and (max-width: 1200px) {
  .px-textimages-inner {
    gap: 20px;
  }
}
.px-textimages-inner .col {
  width: 50%;
}
.px-textimages-inner .col.text .button {
  margin-top: 20px;
}
.px-textimages-inner .col.image {
  position: relative;
}
.px-textimages-inner .col.image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  border-radius: 20px;
}
.px-textimages-inner .col.image .image-big {
  width: 135%;
  margin-left: -35%;
}
.px-textimages.imageposition-right .px-textimages-inner .col.image .image-big {
  width: 135%;
  margin-left: unset;
  margin-right: -35%;
}
.px-textimages.twoimages .px-textimages-inner {
  gap: 90px;
}
@media screen and (max-width: 1200px) {
  .px-textimages.twoimages {
    gap: 20px;
  }
}
.px-textimages.twoimages .image {
  padding: 4% 0;
}
.px-textimages.twoimages .image .image-small {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 200px;
  height: 200px;
}
.px-textimages.twoimages .image .image-small.align-right-top {
  top: 0;
  bottom: auto;
}
.px-textimages.twoimages .image .image-small.align-left-top {
  bottom: auto;
  right: auto;
  top: 0;
  left: 0;
}
.px-textimages.twoimages .image .image-small.align-left-bottom {
  right: auto;
  left: 0;
}
.px-textimages.twoimages.imageposition-right[class*="imagesmallposition-right"] .image {
  padding-right: 4%;
}
.px-textimages.twoimages.imageposition-right[class*="imagesmallposition-left"] .image {
  padding-left: 4%;
}
.px-textimages.twoimages.imageposition-left[class*="imagesmallposition-left"] .image {
  padding-left: 4%;
}
.px-textimages.twoimages.imageposition-left[class*="imagesmallposition-right"] .image {
  padding-right: 4%;
}
@media screen and (max-width: 950px) {
  .px-textimages .px-textimages-inner {
    flex-direction: column;
  }
  .px-textimages .px-textimages-inner .col {
    width: 100%;
  }
  .px-textimages .px-textimages-inner .col.image .image-big {
    width: 100%;
    margin-left: 0;
  }
  .px-textimages .px-textimages-inner .col.image .image-big img {
    max-height: 50vh;
  }
  .px-textimages.imageposition-right .px-textimages-inner .col.image .image-big {
    width: 100%;
    margin-left: unset;
    margin-right: 0;
  }
}
@media screen and (max-width: 768px) {
  .px-textimages.twoimages .image .image-small {
    width: 150px;
    height: 150px;
  }
}
@media screen and (max-width: 450px) {
  .px-textimages.twoimages .image .image-small {
    width: 100px;
    height: 100px;
  }
}
